Source: extra-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
               libjs-underscore <!nodoc>,
               pkg-kde-tools (>= 0.17.0~),
               python3-setuptools <!nodoc>,
               python3-sphinx (>= 1.2~) <!nodoc>,
               python3-sphinxcontrib.qthelp <!nodoc>,
               python3-sphinxcontrib.serializinghtml <!nodoc>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends},
Suggests: qt6-base-dev,
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
Breaks: libkf5package-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5runner-dev (<< 5.54),

Package: extra-cmake-modules-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using: ${sphinxdoc:Built-Using},
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Breaks: extra-cmake-modules (<< 5.74.0-1),
Replaces: extra-cmake-modules (<< 5.74.0-1),
Description: Extra modules and scripts for CMake - documentation
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
 .
 This package contains HTML documentation and man pages.
